Bug 615357 - subscription-manager-cli need and additional option to list ALL available products
subscription-manager-cli need and additional option to list ALL available pro...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
high Severity high
: rc
: ---
Assigned To: Bryan Kearney
wes hayutin
:
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-07-16 11:34 EDT by wes hayutin
Modified: 2011-05-19 09:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-07-16 11:34:58 EDT
We need an additional option in the cli to list all products.
Something like:
subscription-manager-cli list --all

Currently subscription-manager-cli list --available only lists products that are compatible with the consumers facts


Here are the products in my db.  There are several row w/ the word
"personal"

candlepin=# select * from cp_product;
                  id                   |         created         |
updated         | multiplier |     
                           name                                 
---------------------------------------+-------------------------+-------------------------+------------+-----
----------------------------------------------------------------
 37065                                 | 2010-07-16 11:07:14.837 |
2010-07-16 11:07:14.837 |          1 | High
 availability (cluster suite)
 37070                                 | 2010-07-16 11:07:20.855 |
2010-07-16 11:07:20.855 |          1 | Load
 Balancing
 37067                                 | 2010-07-16 11:07:23.682 |
2010-07-16 11:07:23.682 |          1 | Shar
ed Storage (GFS)
 37068                                 | 2010-07-16 11:07:29.327 |
2010-07-16 11:07:29.327 |          1 | Larg
e File Support (XFS)
 37069                                 | 2010-07-16 11:07:32.782 |
2010-07-16 11:07:32.782 |          1 | Smar
t Management (RHN Management & Provisioing & Monitoring)
 38                                    | 2010-07-16 11:07:35.791 |
2010-07-16 11:07:35.791 |          1 | Flex
ible Hypervisor(Physical Servers-Unlimited)
 37                                    | 2010-07-16 11:07:38.253 |
2010-07-16 11:07:38.253 |          1 | Flex
ible Hypervisor(Premium Architectures-15-pack)
 37060                                 | 2010-07-16 11:07:39.651 |
2010-07-16 11:07:39.651 |          1 | RHEL
 for Physical Servers SVC
 MKT-rhel-server                       | 2010-07-16 11:07:47.863 |
2010-07-16 11:07:47.863 |          1 | RHEL
 for Physical Servers
 MKT-simple-rhel-server-mkt            | 2010-07-16 11:07:48.723 |
2010-07-16 11:07:48.723 |          1 | Basi
c RHEL Server
 1                                     | 2010-07-16 11:07:49.133 |
2010-07-16 11:07:49.133 |          1 | RHEL
 Personal SVC
 1144                                  | 2010-07-16 11:07:53.212 |
2010-07-16 11:07:53.212 |          1 | RHEL
 Personal Bits
 RH09XYU34                             | 2010-07-16 11:07:54.703 |
2010-07-16 11:07:54.703 |          1 | RHEL
 Personal
 MKT-rhel-physical-2-socket            | 2010-07-16 11:07:55.154 |
2010-07-16 11:07:55.154 |          1 | RHEL
 for Physical Servers ,2 Sockets, Standard Support with High
                                                                                                        : Avai
lability,Load Balancing,Shared Storage,Large File Support,Smart
                                                                                                        : Mana
gement, Flexible Hypervisor(Unlimited)
 MKT-rhel-physical-servers-only        | 2010-07-16 11:07:55.767 |
2010-07-16 11:07:55.767 |          1 | RHEL
 for Physical Servers ,2 Sockets, L1-L3, Premium Support
 MKT-rhel-physical-2-sockets-premium   | 2010-07-16 11:07:56.336 |
2010-07-16 11:07:56.336 |          1 | RHEL
 for Physical Servers ,4 Sockets, L1-L3, Premium Support
 MKT-rhel-physical-2-sockets-basic     | 2010-07-16 11:07:56.805 |
2010-07-16 11:07:56.805 |          1 | RHEL
 for Physical Servers ,2 Sockets, L1-L3, Basic Support
 37062                                 | 2010-07-16 11:07:57.282 |
2010-07-16 11:07:57.282 |          1 | RHEL
 for Premium Architectures SVC
 1000000041                            | 2010-07-16 11:08:00.29  |
2010-07-16 11:08:00.29  |          1 | Red 
Hat Linux 4.0
 10000000000043                        | 2010-07-16 11:08:02.201 |
2010-07-16 11:08:02.201 |          1 | Red 
Hat Open Dos
 100000000000000                       | 2010-07-16 11:08:04.903 |
2010-07-16 11:08:04.903 |          1 | PRAD
390 Awesome OS for IBM s390x systems
 MKT-prads-awesome-s390x-os            | 2010-07-16 11:08:11.879 |
2010-07-16 11:08:11.879 |          1 | PRAD
390 Awesome OS for IBM s390x systems Product
 MKT-rhel-premium                      | 2010-07-16 11:08:12.33  |
2010-07-16 11:08:12.33  |          1 | RHEL
 for Premium Architectures
 MKT-rhel-prem-arch-16-socket-standard | 2010-07-16 11:08:12.75  |
2010-07-16 11:08:12.75  |          1 | RHEL
 for Premium Architectures, 16 socket, L1-L3, Standard support
 917571                                | 2010-07-16 11:08:13.19  |
2010-07-16 11:08:13.19  |          1 | IPA 
Engineering Product
 MKT-ipa-client-50                     | 2010-07-16 11:08:14.871 |
2010-07-16 11:08:14.871 |         50 | IPA 
Client Pack (50)
(26 rows)


However when I do a list --available I do not see it..

[root@client01-rhel6-beta2 ~]# subscription-manager-cli list --available
c8eb2fc5-6143-4a51-81b9-884ee701eb0a <connection.UEPConnection instance
at 0x89e0dac>
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


Name:                   RHEL for Physical Servers
ProductId:              MKT-rhel-server          
PoolId:                 1                        
quantity:               10                       
Expires:                2011-07-15               


Name:                   Basic RHEL Server        
ProductId:              MKT-simple-rhel-server-mkt
PoolId:                 2                        
quantity:               10                       
Expires:                2011-07-15               


Name:                   RHEL for Physical Servers ,2 Sockets, Standard
Support with High
Availability,Load Balancing,Shared Storage,Large File Support,Smart
Management, Flexible Hypervisor(Unlimited)
ProductId:              MKT-rhel-physical-2-socket
PoolId:                 4                        
quantity:               10                       
Expires:                2011-07-15               


Name:                   RHEL for Physical Servers ,2 Sockets, L1-L3, Premium
Support
ProductId:              MKT-rhel-physical-servers-only
PoolId:                 5                        
quantity:               10                       
Expires:                2011-07-15               


Name:                   RHEL for Physical Servers ,4 Sockets, L1-L3, Premium
Support
ProductId:              MKT-rhel-physical-2-sockets-premium
PoolId:                 6                        
quantity:               10                       
Expires:                2011-07-15               


Name:                   RHEL for Physical Servers ,2 Sockets, L1-L3, Basic
Support
ProductId:              MKT-rhel-physical-2-sockets-basic
PoolId:                 7                        
quantity:               10                       
Expires:                2011-07-15               


Name:                   RHEL for Premium Architectures, 16 socket, L1-L3,
Standard support
ProductId:              MKT-rhel-prem-arch-16-socket-standard
PoolId:                 10                       
quantity:               10                       
Expires:                2011-07-15               


Name:                   RHEL for Premium Architectures
ProductId:              MKT-rhel-premium         
PoolId:                 9                        
quantity:               10                       
Expires:                2011-07-15               

[root@client01-rhel6-beta2 ~]#
Comment 1 Bryan Kearney 2010-08-04 13:50:56 EDT
Commit 45e9735699aff7fe5945f9a1da30e5a47a6bfc91.

You can now pass in --all if you are using --available.
Comment 2 wes hayutin 2010-08-09 17:50:08 EDT
[root@client02-rhel6-beta2 src]# ./subscription-manager-cli list --help
Usage: subscription-manager-cli list [OPTIONS]

list available or consumed Entitlement Pools for this system.

Options:
  -h, --help     show this help message and exit
  --debug=DEBUG  debug level
  --available    available
  --consumed     consumed
  --all          if supplied with --available then all subscriptions are
                 returned
Comment 3 errata-xmlrpc 2011-05-19 09:41:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.